> For the complete documentation index, see [llms.txt](https://docs.zaia.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaia.app/documentation/api-reference-alpha/reference/datagrid-columns.md).

# Datagrid Columns

## GET /api/v1/datagrid-columns

> Retrieves multiple datagrid columns.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/datagrid-columns":{"get":{"description":"Retrieves multiple datagrid columns.","tags":["Datagrid Columns"],"parameters":[{"schema":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"required":true,"description":"A UUID v4 string that identifies an entity.","name":"datagridId","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"Retrieves all datagrid columns for the specified datagrid.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"updatedAt":{"type":"string","format":"date-time"},"datagridId":{"type":"string","format":"uuid","description":"The datagrid ID associated with the column."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The description of the column. Will be used by the agent to understand how to interact with it."},"detail":{"anyOf":[{"type":"object","properties":{"semanticSearch":{"type":"boolean"},"type":{"type":"string","enum":["string"]}},"required":["semanticSearch","type"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]}},"required":["type"]},{"type":"object","properties":{"allowedExtensions":{"type":"array","items":{"type":"string","enum":["png","pdf","txt","md"]},"minItems":1,"maxItems":4},"type":{"type":"string","enum":["file"]}},"required":["allowedExtensions","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the datagrid column."}},"required":["createdAt","id","updatedAt","datagridId","description","detail","name"]}}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"404":{"description":"Datagrid not found.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## POST /api/v1/datagrid-columns

> Creates a new datagrid column.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/datagrid-columns":{"post":{"description":"Creates a new datagrid column.","tags":["Datagrid Columns"],"parameters":[{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"datagridId":{"type":"string","format":"uuid","description":"The datagrid ID associated with the column."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The description of the column. Will be used by the agent to understand how to interact with it."},"detail":{"anyOf":[{"type":"object","properties":{"semanticSearch":{"type":"boolean"},"type":{"type":"string","enum":["string"]}},"required":["semanticSearch","type"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]}},"required":["type"]},{"type":"object","properties":{"allowedExtensions":{"type":"array","items":{"type":"string","enum":["png","pdf","txt","md"]},"minItems":1,"maxItems":4},"type":{"type":"string","enum":["file"]}},"required":["allowedExtensions","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the datagrid column."}},"required":["datagridId","description","detail","name"]}}}},"responses":{"200":{"description":"The datagrid column was created.","content":{"application/json":{"schema":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"updatedAt":{"type":"string","format":"date-time"},"datagridId":{"type":"string","format":"uuid","description":"The datagrid ID associated with the column."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The description of the column. Will be used by the agent to understand how to interact with it."},"detail":{"anyOf":[{"type":"object","properties":{"semanticSearch":{"type":"boolean"},"type":{"type":"string","enum":["string"]}},"required":["semanticSearch","type"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]}},"required":["type"]},{"type":"object","properties":{"allowedExtensions":{"type":"array","items":{"type":"string","enum":["png","pdf","txt","md"]},"minItems":1,"maxItems":4},"type":{"type":"string","enum":["file"]}},"required":["allowedExtensions","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the datagrid column."}},"required":["createdAt","id","updatedAt","datagridId","description","detail","name"]}}}},"400":{"description":"Invalid datagrid column configuration.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"404":{"description":"Datagrid not found.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"412":{"description":"Precondition failed.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## DELETE /api/v1/datagrid-columns/{id}

> Removes a datagrid column.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/datagrid-columns/{id}":{"delete":{"description":"Removes a datagrid column.","tags":["Datagrid Columns"],"parameters":[{"schema":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"required":true,"description":"A UUID v4 string that identifies an entity.","name":"id","in":"path"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"The datagrid column was removed along with all associated values.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"An informative message for a call that has no effective result to be returned."}},"required":["message"]}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"404":{"description":"Datagrid column not found.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## PATCH /api/v1/datagrid-columns/{id}

> Updates a datagrid column.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/datagrid-columns/{id}":{"patch":{"description":"Updates a datagrid column.","tags":["Datagrid Columns"],"parameters":[{"schema":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"required":true,"description":"A UUID v4 string that identifies an entity.","name":"id","in":"path"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"description":{"type":"string","minLength":3,"maxLength":250,"description":"The description of the column. Will be used by the agent to understand how to interact with it."},"detail":{"anyOf":[{"type":"object","properties":{"semanticSearch":{"type":"boolean"},"type":{"type":"string","enum":["string"]}},"required":["semanticSearch","type"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]}},"required":["type"]},{"type":"object","properties":{"allowedExtensions":{"type":"array","items":{"type":"string","enum":["png","pdf","txt","md"]},"minItems":1,"maxItems":4},"type":{"type":"string","enum":["file"]}},"required":["allowedExtensions","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the datagrid column."}}}}}},"responses":{"200":{"description":"The datagrid column was updated.","content":{"application/json":{"schema":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"updatedAt":{"type":"string","format":"date-time"},"datagridId":{"type":"string","format":"uuid","description":"The datagrid ID associated with the column."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The description of the column. Will be used by the agent to understand how to interact with it."},"detail":{"anyOf":[{"type":"object","properties":{"semanticSearch":{"type":"boolean"},"type":{"type":"string","enum":["string"]}},"required":["semanticSearch","type"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]}},"required":["type"]},{"type":"object","properties":{"allowedExtensions":{"type":"array","items":{"type":"string","enum":["png","pdf","txt","md"]},"minItems":1,"maxItems":4},"type":{"type":"string","enum":["file"]}},"required":["allowedExtensions","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the datagrid column."}},"required":["createdAt","id","updatedAt","datagridId","description","detail","name"]}}}},"400":{"description":"Invalid request - data type cannot be changed.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"404":{"description":"The datagrid column was not found.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}},"412":{"description":"Precondition failed.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```
